SWFShape_setLine2Filled(3)

NAME
SWFShape_setLine2Filled - set filled Linestyle2 introduce with SWF 8.

SYNOPSIS
#include <ming.h>

void SWFShape_setLine2Filled
(
    SWFShape shape,
    unsigned short width,
    SWFFillStyle fill,
    int flags,
    float miterLimit
);

PARAMETERS

SWFShape shape
    Not Documented.

unsigned short width
    Not Documented.

SWFFillStyle fill
    Not Documented.

int flags
    Not Documented.

float miterLimit
    Not Documented.

DESCRIPTION
Set line width in pixel Instead of providing a fill color, a FillStyle can be applied to a line.

LINESTYLE2 ALSO EXTENDS LINESTYLE1 WITH SOME EXTRA FLAGS
Line cap style: select one of the following flags (default is round cap style) SWF_LINESTYLE_CAP_ROUND SWF_LINESTYLE_CAP_NONE SWF_LINESTYLE_CAP_SQUARE Line join style: select one of the following flags (default is round join style) SWF_LINESTYLE_JOIN_ROUND SWF_LINESTYLE_JOIN_BEVEL SWF_LINESTYLE_JOIN_MITER Scaling flags: disable horizontal / vertical scaling SWF_LINESTYLE_FLAG_NOHSCALE SWF_LINESTYLE_FLAG_NOVSCALE Enable pixel hinting to correct blurry vertical / horizontal lines
-> All anchors will be aligned to full pixels SWF_LINESTYLE_FLAG_HINTING Disable stroke closure: if no-close flag is set caps will be applied instead of joins SWF_LINESTYLE_FLAG_NOCLOSE End-cap style: default round SWF_LINESTYLE_FLAG_ENDCAP_ROUND SWF_LINESTYLE_FLAG_ENDCAP_NONE SWF_LINESTYLE_FLAG_ENDCAP_SQUARE If join style is SWF_LINESTYLE_JOIN_MITER a miter limit factor must be set. Miter max length is then calculated as: max miter len = miter limit * width. If join style is not miter, this value will be ignored.